Subject: bug#52143: 29.0.50; Customize type `group' displays a hanging colon

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 29 Nov 2021 16:53:30 +0100

Brahimi Saifullah <[email-masked]> writes:

> Or with a newline:
>
>     :format (concat (propertize ":" 'display "") "\n%v")

I think that looks pretty good, so I've pushed it to Emacs 29.

martin rudalics <[email-masked]> writes:

>>>>From what I gather: a colon is necessary, for whatever reason.  So having a
>> tag-less type, as `group' claims to be, is not possible through normal means.
>
> I don't know why 'group' should be "tag-less" (whatever that incurs)
> and thus would simply use
>
> (define-widget 'group 'default
>   "A widget which groups other widgets inside."
>   :convert-widget 'widget-types-convert-widget
>   :copy 'widget-types-copy
>   :tag "Group"
>   :format "%{%t%}:\n%v"
>   ...
>
> But maybe there is a reason for the current specification.

I'm guessing the reason is that they wanted to have the display less
cluttered?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no